#ifndef BEHAVIOUR_H_
#define BEHAVIOUR_H_

#include "behaviour/TeamBehaviour.h"
#include "behaviour/AgentModel.h"
#include "behaviour/WorldModel.h"
#include "behaviour/dispatcher/Dispatcher.h"
#include "behaviour/dispatcher/States.h"
class Dispatcher;

class Behaviour
{
private:
	WorldModel *worldModel;
	TeamBehaviour *teamBehaviour;
	AgentModel *agentModel;
	Dispatcher *dispatcher;
	States * states;
	stringstream ss;
public:
	Behaviour(char *team, int aSkill);
	void nextStep(ServerMsgParserData *parsedData);

	virtual ~Behaviour();
};

#endif /*BEHAVIOUR_H_*/
