#ifndef WORLDMODEL_H_
#define WORLDMODEL_H_

#include "worldmodel/object/Ball.h"
#include "worldmodel/object/Net.h"
#include "worldmodel/object/Player.h"
#include "agentModel/Hear.h"
#include "../parser/ServerMsgParserOpt.h"
#include <iostream>
#include <vector>

using namespace std;


//obsahuje vsetky objekty na ihrisku s premennymi
class WorldModel
{
private:
	void UpdatePlayer(Player seePlayer,Player *teamPlayers,int *playerCount);

public:
	double simTime;				/*!< Simulation time in seconds */
	double gameTime;			/*!< Game time in seconds */

	int playMode;				/*!< Current play mode */ 

	Ball * ball;				/*!< Ball */

	Net * ourNet;				/*!<TODO */
	Net * opponentNet;			/*!<TODO */

	Object * ourLeftCorner;		/*!<TODO */
	Object * ourRightCorner;	/*!<TODO */
	Object * opponentLeftCorner;/*!<TODO */
	Object * opponentRightCorner;/*!<TODO */

	//vector<Player> opponents;
	//vector<Player> teammates;
	//vector<HearPerceptor> hear;
	HearPerceptor hear[MAX_HEAR_COUNT];
	Player opponents[MAX_SEE_PLAYERS];
	Player teammates[MAX_SEE_PLAYERS];
	int hearCount;
	int opponentsCount;
	int teammatesCount;
	
	WorldModel();
	void update(ServerMsgParserData *parsedData);
	
	virtual ~WorldModel();
};


#endif //WORLDMODEL_H_