#pragma once
#include "highskill.h"

class DummyHighSkill :
	public HighSkill
{
public:
	DummyHighSkill(void);
	~DummyHighSkill(void);

	int getUsability(States *states);
	//performs next movement phase
	void executeLowSkill();
	//indicates, if the current skill has finished its purpose
	bool hasFinished();
	//indicates if the current skill is in phase, which can be replaned 
	bool isInReplanableState();
	//makes assignment of the low skill to some attribute
	void assignLowSkill(LowSkill *lowSkill);
	//performs checking of current state and throws exception if something is wrong
	void performStateCheck(States *state);
};
