#include "GoToPointHighSkill.h"

GoToPointHighSkill::GoToPointHighSkill(string & name):HighSkill(name) 
{
	
}

GoToPointHighSkill::~GoToPointHighSkill() 
{

}

void GoToPointHighSkill::assignLowSkill(LowSkill *lowSkill)
{
	if(lowSkill->getName() == string("walking")){
		walkSkill = lowSkill;
	}
}

int GoToPointHighSkill::getUsability(States *states)
{
	return 23;
}

void GoToPointHighSkill::executeLowSkill()
{
	walkSkill->execute();
}

void GoToPointHighSkill::performStateCheck(States *state)
{
	if(robotIsOnGround(state))
	{
		throw IllegalStateException();
	}
}

bool GoToPointHighSkill::hasFinished()
{
	return false;
}

bool GoToPointHighSkill::isInReplanableState()
{
	return false;
}