#include "KickHighSkill.h"

KickHighSkill::KickHighSkill(string & name):HighSkill(name) 
{
	
}

KickHighSkill::~KickHighSkill() 
{

}

void KickHighSkill::assignLowSkill(LowSkill *lowSkill)
{
	if(lowSkill->getName() == string("kick")) {
		kickSkill = lowSkill;
	}
	else if(lowSkill->getName() == string("kick_left"))	{
		kickSkill_left = lowSkill;
	}
	else if(lowSkill->getName() == string("kick2"))	{
		kickSkill2 = lowSkill;
	}
	else if(lowSkill->getName() == string("kick2_left"))	{
		kickSkill2_left = lowSkill;
	}
}

int KickHighSkill::getUsability(States *states)
{
	return 30;
}

void KickHighSkill::executeLowSkill()
{
	//kickSkill->execute();
	kickSkill_left->execute();
	//kickSkill2->execute();
	//kickSkill2_left->execute();
}

void KickHighSkill::performStateCheck(States *state)
{
	//if(robotIsOnGround(state))
	//{
	//	throw IllegalStateException();
	//}
}

bool KickHighSkill::hasFinished()
{
	return false;
}

bool KickHighSkill::isInReplanableState()
{
	return false;
}