#pragma once

#include "../lowSkills/LowSkill.h"
#include <string>
#include <vector>
#include "../exception/IllegalStateException.h "

using namespace std;

class KickHighSkill: public HighSkill
{
private:
	LowSkill *kickSkill;
	LowSkill *kickSkill_left;
	LowSkill *kickSkill2;
	LowSkill *kickSkill2_left;
	
public:
	KickHighSkill(string & name);
	~KickHighSkill();

	int getUsability(States *states);
	//executes next phase of low skill
	void executeLowSkill();
	//indicates, if the current skill has finished its purpose
	bool hasFinished();
	//indicates if the current skill is in phase, which can be replaned 
	bool isInReplanableState();
	//makes assignment of the low skill to some attribute
	void assignLowSkill(LowSkill *lowSkill);
	//performs checking of current state (if robot has fallen on ground)
	void performStateCheck(States *state);
};