#include "WalkBackHighSkill.h"

WalkBackHighSkill::WalkBackHighSkill(string & name):HighSkill(name) 
{
	
}

WalkBackHighSkill::~WalkBackHighSkill() 
{

}

void WalkBackHighSkill::assignLowSkill(LowSkill *lowSkill)
{
	if(lowSkill->getName() == string("walk_back")) {
		walkSkill = lowSkill;
	}
}

int WalkBackHighSkill::getUsability(States *states)
{
	return 20;
}

void WalkBackHighSkill::executeLowSkill()
{
	walkSkill->execute();
}

void WalkBackHighSkill::performStateCheck(States *state)
{
	//if(robotIsOnGround(state))
	//{
	//	throw IllegalStateException();
	//}
}

bool WalkBackHighSkill::hasFinished()
{
	return false;
}

bool WalkBackHighSkill::isInReplanableState()
{
	return false;
}