#include "EfectorData.h"
EfectorData::EfectorData(string & name, int start, int end) {
	this->name = name;
	this->start = start;
	this->end = end;

	jointMap=SetupJointIDMapWithEfectors(jointMap);
	map<string, JointID>::iterator iter=jointMap.find(name);
	joint = iter->second;
}

string EfectorData::getName() {
	return name;
}

int EfectorData::getStart() {
	return start;
}

int EfectorData::getEnd() {
	return end;
}
JointID EfectorData::getJointID() {
	return joint;
}