#include "PhaseCache.h"

PhaseCache::PhaseCache() {

}

PhaseCache * PhaseCache::INSTANCE = new PhaseCache();

PhaseCache * PhaseCache::getInstance() {
	return INSTANCE;
}

void PhaseCache::put(string key, PhaseData phaseData) {
	cache.insert(map<string, PhaseData>::value_type (key, phaseData));
}

PhaseData & PhaseCache::get(const string & key) {
	return cache.find(key)->second;
}

void PhaseCache::clear() {
	cache.clear();
}

PhaseCache::~PhaseCache() {

}