#pragma once

#include "EfectorData.h"
#include <string>
#include <vector>

using namespace std;

class PhaseData
{
private:
	
	string name;
	string next;
	bool final;
	string finalizationPhase;
	string rescueMovement;
	int speedConstant;

public:
	
	string getName();
	string getNext();
	bool isFinal();
	string getFinalizationPhase();
	string getRescueMovement();
	int getSpeedConstant();

	void setNext(string & next);
	void setFinal(bool final);
	void setFinalizationPhase(string & finalizationPhase);
	void setRescueMovement(string & rescueMovement);

	void addEfectorData(EfectorData & efectorData);

	PhaseData(string & name, int speedConstant);
	~PhaseData();
	vector<EfectorData> efectorsData;
};