#pragma once

#include <vector>
#include "../highSkills/HighSkill.h"

using namespace std;

/*
 *@author Barti
 * Virtual class for initializing all robot skills
 */
class SkillsFactory
{
protected:
	vector<HighSkill*> highSkills;
public:
	SkillsFactory(void);
	~SkillsFactory(void);

	virtual vector<HighSkill*> *getAllHighSkills() = 0;
};
