/*
 * EffectorSet.h
 */

#ifndef EFFECTORSET_H_
#define EFFECTORSET_H_

#include "effectorset/Beam.h"
#include "effectorset/HingeJoint.h"
#include "effectorset/Say.h"

#define BEAMCOUNT 1
#define HINGEJOINTCOUNT 100
#define SAYCOUNT 1

class EffectorSet: public StringStream
{
public:
	Beam *beam;
	int beamCount;
	HingeJoint *hingeJoint;
	int hingeJointCount;
	Say *say;
	int sayCount;

	EffectorSet();
	string generate(void);
	virtual ~EffectorSet();
};

#endif /*EFFECTORSET_H_*/
