#pragma once
/*
#include "../lowSkills/LowSkill.h"
#include "highskill.h"
#include "../exception/IllegalStateException.h"
*/
#include "../lowSkills/LowSkill.h"
#include <string>
#include <vector>
#include "../exception/IllegalStateException.h "
class StandUpHighSkill :
	public HighSkill
{
private:
	LowSkill *standUpSkill;
public:
	StandUpHighSkill(string & name);
	~StandUpHighSkill(void);

	//vrti ??seln hodnotu, ktor ur?uje ako m??e byY dan zru?nosY //u?ito?n v stave sveta, ktor2 je zachyten2 v premennej states
	int getUsability(States *states);
	//tto met?da riadi vykonvanie danej zru?nosti (low skill)
	void executeLowSkill();
	//bolo vykonvanie zru?nosti ukon?en??
	bool hasFinished();
	//nachdza sa robot v stave, v ktorom m?teme zmeniY vykonvanie //zru?nosti na in? (pou??va sa pri pred?asnom ukon?en? vykonvania)
	bool isInReplanableState();
	//vykon priradenie ni?ej zru?nosti do atribtu triedy (tto //met?da bude volan pri inicializci? dan?ho high skillu.
	//met?da bude volan pre ka?d2 LowSkill, ktor2 je v xml sbore //priraden2 k HighSkill-u
	void assignLowSkill(LowSkill *lowSkill);
	//over? aktulny stav robota, a vzhod? v2nimku, ak sa nachdza --//v neo?akvanom stave u vyhadzuje sa v2nimka IllegalStateException
	//ktora sa nachadza v adresari src\main\agent\behaviour\exception
	void performStateCheck(States *state);

};
