#pragma once

#include <string>
#include <map>
#include "../agentModel/Joints.h"
using namespace std;

class EfectorData
{
private:
	string name;
	JointID joint;
	int start;
	int end;
	TJointIDMap jointMap;

public:
	EfectorData(string & name, int start, int end);
	JointID getJointID();
	string getName();
	int getStart();
	int getEnd();
	double movementSpeed;
};