#pragma once

#include "PhaseData.h"
#include "MovementPhase.h"
#include <string>
#include <vector>

using namespace std;

class LowSkill
{
private:

	string name;
	bool finalizeFlag;
	bool performInit;

	bool check();
	void start();
	void finalize();
	void interrupt();
	void proceed();

public:
	MovementPhase * activePhase;
	string getName();

	LowSkill(MovementPhase * initialPhase);
	LowSkill(string & name, MovementPhase * initialPhase);
	LowSkill(string & name, string & initialPhase);

	void execute();
	~LowSkill();
};