#pragma once

#include <map>
#include "PhaseData.h"

using namespace std;


class PhaseCache
{
private:
	PhaseCache();
	~PhaseCache();
	static PhaseCache * INSTANCE;

	PhaseCache(const PhaseCache & phaseCache);
    PhaseCache & operator=(const PhaseCache & phaseCache);

	map<string, PhaseData> cache;

public:
	static PhaseCache * getInstance();
	void put(string key, PhaseData phaseData);
	PhaseData & get(const string & key);
	void clear();
};