#include "PhaseData.h"

PhaseData::PhaseData(string & name, int speedConstant) {
	this->name = name;
	this->speedConstant = speedConstant;
}

string PhaseData::getName() {
	return name;
}
string PhaseData::getNext() {
	return next;
}
bool PhaseData::isFinal() {
	return final;
}
string PhaseData::getFinalizationPhase() {
	return finalizationPhase;
}
string PhaseData::getRescueMovement() {
	return rescueMovement;
}
int PhaseData::getSpeedConstant() {
	return speedConstant;
}


void PhaseData::setNext(string & next) {
	this->next = next;
}
void PhaseData::setFinal(bool final) {
	this->final = final;
}
void PhaseData::setFinalizationPhase(string & finalizationPhase) {
	this->finalizationPhase = finalizationPhase;
}
void PhaseData::setRescueMovement(string & rescueMovement) {
	this->rescueMovement = rescueMovement;
}

void PhaseData::addEfectorData(EfectorData & efectorData) {
	efectorsData.push_back(efectorData);
}

PhaseData::~PhaseData() {

}