/*! \file Player.cpp
 <pre>
 <b>File:</b> Player.cpp
 <b>Project:</b> Robocup 3D
 <b>Authors:</b> Hviezdna Jedenastka
 <b>Created:</b> 02/27/2008
 <b>Contents:</b> This class represent player with his id, stamina and temperature.
 </pre>
 */

#include "Player.h"

Player::Player() {
}

Player::Player(int _id): id(_id),actual(false)//, double _stamina, double _temperature) 
{
 //   id = _id;
	//actual = false;
    //stamina = _stamina;
    //temperature = _temperature;
}

Player& Player::operator =(const Player & player)
{
	id = player.id;
#ifdef WIN32
	strncpy_s(playerTeam, 100,player.playerTeam,strlen(player.playerTeam));
#else
	strncpy(playerTeam, player.playerTeam,strlen(player.playerTeam));
#endif	
	position = player.position;
	timestamp = player.timestamp;

	return *this;
}

Player::~Player() 
{
}
