/*
 * TCPSocket.h
 */

#ifndef TCPSOCKET_H_
#define TCPSOCKET_H_

#ifdef WIN32
#include <Winsock2.h>
#else
#include <arpa/inet.h>
#endif

class TCPSocket
{
private:
#ifdef WIN32
	SOCKET fileDescriptor;
#else
	int fileDescriptor;
#endif
public:
	TCPSocket();
	bool connect(struct sockaddr *server);
	bool send(const char *message);
	bool select(int seconds, int microseconds);
	bool receive(char *message, int messageSize);
	virtual ~TCPSocket();
};

#endif /*TCPSOCKET_H_*/
