/*
 * UDPSocket.h
 */

#ifndef UDPSOCKET_H_
#define UDPSOCKET_H_

#ifdef WIN32
#include <Winsock2.h>
#else
#include <arpa/inet.h>
#endif

class UDPSocket
{
private:
#ifdef WIN32
	SOCKET fileDescriptor;
#else
	int fileDescriptor;
#endif
public:
	UDPSocket();
	bool sendto(const char *message, struct sockaddr *server);
	bool select(int seconds, int microseconds);
	bool receivefrom(char *message, int messageSize, struct sockaddr *server);
	virtual ~UDPSocket();
};

#endif /*UDPSOCKET_H_*/
